Package org.apache.sling.api.resource.runtime.dto

# Enum Class AuthType

java.lang.Object
java.lang.Enum<AuthType>
org.apache.sling.api.resource.runtime.dto.AuthType

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthType>`, `Constable`

public enum AuthType extends Enum<AuthType>
Enumeration for the auth type of a resource provider.

Since:
  1.0.0 (Sling API Bundle 2.11.0)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`lazy`
`no`
`required`

## Method Summary

Modifier and Type
Method
Description
`static AuthType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### no

public static final AuthType no

### lazy

public static final AuthType lazy

### required

public static final AuthType required

## Method Details

### values

public static AuthType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null